package com.bytedance.android.livesdk.livesetting.other;

import android.text.TextUtils;
import com.bytedance.android.live.annotation.Group;
import com.bytedance.android.live.annotation.SettingsKey;
import com.bytedance.android.live_settings.SettingsManager;
import com.bytedance.covode.number.Covode;

@SettingsKey("tiktok_live_boe_resource_gecko_base_url")
public final class TiktokLiveBoeResourceGeckoBaseUrlSetting {
    @Group(isDefault = true, value = "default group")
    public static final String DEFAULT = "";
    public static final TiktokLiveBoeResourceGeckoBaseUrlSetting INSTANCE = new TiktokLiveBoeResourceGeckoBaseUrlSetting();

    static {
        Covode.recordClassIndex(18095);
    }

    public final String getValue() {
        return SettingsManager.INSTANCE.getStringValue(TiktokLiveBoeResourceGeckoBaseUrlSetting.class);
    }

    public final String getValueAndDefault() {
        if (!TextUtils.isEmpty(getValue())) {
            return getValue();
        }
        return "";
    }
}
